> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List bookkeeping periods for a business



## OpenAPI

````yaml get /v1/businesses/{businessId}/bookkeeping/periods
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bookkeeping/periods:
    get:
      tags:
        - Bookkeeping
      summary: List bookkeeping periods for a business
      operationId: listBookkeepingPeriods
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: scale
          in: query
          schema:
            type: array
            items:
              enum:
                - MONTHLY
                - ANNUAL
                - ONGOING
          description: Filter by period scale (MONTHLY, ANNUAL, ONGOING).
      responses:
        '200':
          description: List of bookkeeping periods.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ApiBookkeepingPeriods'
                required:
                  - data
      security:
        - BearerAuth: []
components:
  schemas:
    ApiBookkeepingPeriods:
      type: object
      properties:
        periods:
          type: array
          items:
            $ref: '#/components/schemas/ApiBookkeepingPeriod'
      required:
        - periods
    ApiBookkeepingPeriod:
      oneOf:
        - $ref: '#/components/schemas/ApiBookkeepingPeriodBase'
        - $ref: '#/components/schemas/ApiBookkeepingPeriodWithTasks'
        - $ref: '#/components/schemas/ApiBookkeepingPeriodWithTemplateClosingActions'
    ApiBookkeepingPeriodBase:
      type: object
      properties:
        id:
          type: string
          format: uuid
        business_id:
          type: string
          format: uuid
        bookkeeper_id:
          type: string
          format: uuid
          nullable: true
        month:
          type: integer
          nullable: true
          minimum: 1
          maximum: 12
        year:
          type: integer
          nullable: true
          minimum: 2015
        scale:
          enum:
            - MONTHLY
            - ANNUAL
            - ONGOING
        status:
          enum:
            - BOOKKEEPING_NOT_ACTIVE
            - NOT_STARTED
            - IN_PROGRESS_AWAITING_BOOKKEEPER
            - IN_PROGRESS_AWAITING_CUSTOMER
            - CLOSING_IN_REVIEW
            - CLOSED_OPEN_TASKS
            - CLOSED_COMPLETE
        billing_status:
          enum:
            - BILLABLE
            - NOT_BILLABLE
      required:
        - id
        - business_id
        - month
        - year
        - scale
        - status
        - billing_status
    ApiBookkeepingPeriodWithTasks:
      allOf:
        - $ref: '#/components/schemas/ApiBookkeepingPeriodBase'
        - type: object
          properties:
            tasks:
              type: array
              items:
                $ref: '#/components/schemas/ApiBusinessTask'
          required:
            - tasks
    ApiBookkeepingPeriodWithTemplateClosingActions:
      allOf:
        - $ref: '#/components/schemas/ApiBookkeepingPeriodBase'
        - type: object
          properties:
            template_closing_actions:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ApiTemplateClosingActionWithProvisionedActions
          required:
            - template_closing_actions
    ApiBusinessTask:
      type: object
      properties:
        type:
          type: string
          enum:
            - Human_Task
            - Automated_Task
            - Automated_Transaction_Review_Task
          description: Resource type discriminator indicating the task subtype.
          example: Human_Task
        id:
          type: string
          format: uuid
        status:
          enum:
            - ASSIGNED
            - IN_PROGRESS
            - COMPLETED
            - CANCELLED
        created_at:
          type: string
          format: date-time
        effective_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - status
        - created_at
        - effective_at
        - updated_at
    ApiTemplateClosingActionWithProvisionedActions:
      type: object
      properties:
        template_closing_action:
          $ref: '#/components/schemas/ApiTemplateClosingAction'
        provisioned_actions:
          type: array
          items:
            type: object
      required:
        - template_closing_action
        - provisioned_actions
    ApiTemplateClosingAction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        closing_action_type:
          enum:
            - RETAINED_EARNINGS
            - RECOGNIZE_EXTERNAL_REVENUE
            - CONSOLIDATE_OWNERS_CAPITAL
        period_scale:
          enum:
            - MONTHLY
            - ANNUAL
            - ONGOING
        provisioning_start_date:
          type: string
          format: date
          nullable: true
        provisioning_end_date:
          type: string
          format: date
          nullable: true
        ledger_activity_start_timestamp:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - closing_action_type
        - period_scale
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````